Attribute VB_Name = "TUSBKINS"
'-----------------------------------------------
'API for TUSB-KINSxx Driver
'Visual Basic 6 Module
'
'Nov. 10 2009
'Copyright (C) 2009 Turtle Industry Co.,Ltd.
'-----------------------------------------------

'API Function declaration
Declare Function TUSBKINS_Write Lib "TUSBKINS.DLL" (ByVal Id As Integer, ByVal Data As Long) As Integer
Declare Function TUSBKINS_Read Lib "TUSBKINS.DLL" (ByVal Id As Integer, ByRef InData As Long, ByRef OUTStatus As Long) As Integer
Declare Function TUSBKINS_EdgeSet Lib "TUSBKINS.DLL" (ByVal Id As Integer, ByVal Data As Long, ByVal Time As Byte) As Integer
Declare Function TUSBKINS_EdgeRead Lib "TUSBKINS.DLL" (ByVal Id As Integer, ByRef Data As Long) As Integer
Declare Function TUSBKINS_Type Lib "TUSBKINS.DLL" (ByVal Id As Integer, ByRef devType As Byte) As Integer
Declare Function TUSBKINS_Chk Lib "TUSBKINS.DLL" (ByVal Id As Integer) As Integer
Declare Sub TUSBKINS_Load Lib "TUSBKINS.DLL" ()
Declare Sub TUSBKINS_Unload Lib "TUSBKINS.DLL" ()

' Error Message
Public Function TUSBKINS_ErrorDisp(ByVal ErrCode As Integer)
    Dim str As String
    
    Select Case ErrCode
    Case 0
        str = "ɏI܂"
    Case 2
        str = "hCoĂ܂"
    Case 6
        str = "foCX܂ł"
    Case 8
        str = "p[^G["
    Case 9
        str = "USBʐMG["
    Case Default
        str = "sȃG[ł"
    End Select
    
    MsgBox (str)
End Function

