Option Strict Off
Option Explicit On
Module TUSBKINS
	'-----------------------------------------------
	'API for TUSB-KINSxx Driver
	'Visual Basic 6 Module
	'
	'Nov. 10 2009
	'Copyright (C) 2009 Turtle Industry Co.,Ltd.
	'-----------------------------------------------
	
	'API Function declaration
	Declare Function TUSBKINS_Write Lib "TUSBKINS.DLL" (ByVal Id As Short, ByVal Data As Integer) As Short
	Declare Function TUSBKINS_Read Lib "TUSBKINS.DLL" (ByVal Id As Short, ByRef InData As Integer, ByRef OUTStatus As Integer) As Short
    Declare Function TUSBKINS_EdgeSet Lib "TUSBKINS.DLL" (ByVal Id As Short, ByVal Data As Integer, ByVal Time As Byte) As Short
	Declare Function TUSBKINS_EdgeRead Lib "TUSBKINS.DLL" (ByVal Id As Short, ByRef Data As Integer) As Short
	Declare Function TUSBKINS_Type Lib "TUSBKINS.DLL" (ByVal Id As Short, ByRef devType As Byte) As Short
	Declare Function TUSBKINS_Chk Lib "TUSBKINS.DLL" (ByVal Id As Short) As Short
	Declare Sub TUSBKINS_Load Lib "TUSBKINS.DLL" ()
	Declare Sub TUSBKINS_Unload Lib "TUSBKINS.DLL" ()
	
	' Error Message
	Public Function TUSBKINS_ErrorDisp(ByVal ErrCode As Short) As Object
        Dim Message As String

        Select Case ErrCode
            Case 0
                Message = "ɏI܂"
            Case 2
                Message = "hCoĂ܂"
            Case 6
                Message = "foCX܂ł"
            Case 8
                Message = "p[^G["
            Case 9
                Message = "USBʐMG["
            Case Else
                Message = "sȃG[ł"
        End Select

        MsgBox(Message)
	End Function
End Module